PROBE::VM.PAGEFAUL(3stap)

NAME
probe::vm.pagefault.return - Indicates what type of fault occurred

SYNOPSIS

vm.pagefault.return

VALUES

name
    name of the probe point

fault_type
    returns either 0 (VM_FAULT_OOM) for out of memory faults, 2 (VM_FAULT_MINOR) for minor faults, 3 (VM_FAULT_MAJOR) for major faults, or 1 (VM_FAULT_SIGBUS) if the fault was neither OOM, minor fault, nor major fault.

SEE ALSO
tapset::memory(3stap)